diff --git a/ports/mimxrt/boards/MIMXRT1052_clock_config.c b/ports/mimxrt/boards/MIMXRT1052_clock_config.c
index 93492812977a..fa7450d487a6 100644
--- a/ports/mimxrt/boards/MIMXRT1052_clock_config.c
+++ b/ports/mimxrt/boards/MIMXRT1052_clock_config.c
@@ -465,4 +465,5 @@ void BOARD_BootClockRUN(void) {
     IOMUXC_GPR->GPR5 &= ~IOMUXC_GPR_GPR5_VREF_1M_CLK_GPT2_MASK;
     /* Set SystemCoreClock variable. */
     SystemCoreClock = BOARD_BOOTCLOCKRUN_CORE_CLOCK;
+    CLOCK_SetMode(kCLOCK_ModeRun);
 }
diff --git a/ports/mimxrt/boards/MIMXRT1062_clock_config.c b/ports/mimxrt/boards/MIMXRT1062_clock_config.c
index 05474167bd85..589ffb0b5831 100644
--- a/ports/mimxrt/boards/MIMXRT1062_clock_config.c
+++ b/ports/mimxrt/boards/MIMXRT1062_clock_config.c
@@ -487,4 +487,5 @@ void BOARD_BootClockRUN(void) {
     IOMUXC_GPR->GPR5 &= ~IOMUXC_GPR_GPR5_VREF_1M_CLK_GPT2_MASK;
     /* Set SystemCoreClock variable. */
     SystemCoreClock = BOARD_BOOTCLOCKRUN_CORE_CLOCK;
+    CLOCK_SetMode(kCLOCK_ModeRun);
 }
diff --git a/ports/mimxrt/boards/MIMXRT1064_clock_config.c b/ports/mimxrt/boards/MIMXRT1064_clock_config.c
index 5e49a2fff80e..56dd75d7fbf6 100644
--- a/ports/mimxrt/boards/MIMXRT1064_clock_config.c
+++ b/ports/mimxrt/boards/MIMXRT1064_clock_config.c
@@ -487,4 +487,5 @@ void BOARD_BootClockRUN(void) {
     IOMUXC_GPR->GPR5 &= ~IOMUXC_GPR_GPR5_VREF_1M_CLK_GPT2_MASK;
     /* Set SystemCoreClock variable. */
     SystemCoreClock = BOARD_BOOTCLOCKRUN_CORE_CLOCK;
+    CLOCK_SetMode(kCLOCK_ModeRun);
 }
diff --git a/ports/mimxrt/mpconfigport.h b/ports/mimxrt/mpconfigport.h
index 8642d53ecc45..3f87800e3056 100644
--- a/ports/mimxrt/mpconfigport.h
+++ b/ports/mimxrt/mpconfigport.h
@@ -241,6 +241,7 @@ extern const struct _mp_obj_type_t network_lan_type;
     do { \
         extern void mp_handle_pending(bool); \
         mp_handle_pending(true); \
+        __WFE(); \
     } while (0);
 
 #define MICROPY_MAKE_POINTER_CALLABLE(p) ((void *)((mp_uint_t)(p) | 1))
